Packages - Freedom Issue #2123

Bitcoin and The Times copyright
2018-12-23 05:33 PM - Anonymous

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

Bitcoin source code includes in file /src/chainparams.cpp, line 54:

"const char* pszTimestamp = "The Times 03/Jan/2009 Chancellor on brink of second bailout for banks";"
"Chancellor on brink of second bailout for banks" is title, which was used by The Times in 03/Jan/2009 article.
| was unable to find any information about The Times copyright.

Related issues:

Related to Packages - Freedom Issue #2126: [bitcoin-*] [litecoin-*] [?] Possi... not-a-bug
Related to Packages - Freedom Issue #2127: [doge] Doge is non-free not-a-bug
History

#1 - 2018-12-23 09:34 PM - freemor
As Bitcoin is not a News outlet nor a media/publishing company, and as this is a rather strange place for such a thing to appear | suspect it's use
would easily fall under one of the "Fair Use" exceptions. Which include such things as Satire, Political commentary, etc.

see:
https://en.wikipedia.org/wiki/Fair_use

Clearly without such your use of it above would constitute a copyright violation requiring the deletion of this bug report.
#2 - 2018-12-24 04:41 AM - bill-auger
freemor wrote:

Clearly without such your use of it above would constitute a copyright violation requiring the deletion of this bug report.

ah, that line was not in the original email - i signed in to add something to that point

1) if it is merely referring to the article, but not re-printing the entire article (or substantial portions thereof), that is the classic case of fair use
2) the bug i see there is a terrible variable name - that is clearly a C string containing the article title and not any sort of timestamp

3) hungarian notation (ack)

if #1 is true we can close this

#3 - 2018-12-30 02:40 PM - bill-auger

- Status changed from open to not-a-bug

duplicate of #2126

#4 - 2018-12-30 02:45 PM - bill-auger

- Related to Freedom Issue #2126: [bitcoin-*] [litecoin-*] [?] Possible non-free data download added

#5 - 2019-02-27 08:40 PM - bill-auger
- Related to Freedom Issue #2127: [doge] Doge is non-free added
